Package org.eclipse.m2m.atl.debug.core

## Class AtlRunTarget

- java.lang.Object
- - org.eclipse.m2m.atl.debug.core.AtlRunTarget

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.IBreakpointListener`, `org.eclipse.debug.core.model.IDebugElement`, `org.eclipse.debug.core.model.IDebugTarget`, `org.eclipse.debug.core.model.IDisconnect`, `org.eclipse.debug.core.model.IMemoryBlockRetrieval`, `org.eclipse.debug.core.model.ISuspendResume`, `org.eclipse.debug.core.model.ITerminate`

    public class AtlRunTarget
    extends java.lang.Object
    implements org.eclipse.debug.core.model.IDebugTarget

The ATL run target.

### Constructor Summary

Constructors
`AtlRunTarget​(org.eclipse.debug.core.ILaunch launch)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `breakpointAdded​(org.eclipse.debug.core.model.IBreakpoint breakpoint)`
`void` `breakpointChanged​(org.eclipse.debug.core.model.IBreakpoint breakpoint, org.eclipse.core.resources.IMarkerDelta delta)`
`void` `breakpointRemoved​(org.eclipse.debug.core.model.IBreakpoint breakpoint, org.eclipse.core.resources.IMarkerDelta delta)`
`boolean` `canDisconnect()`
`boolean` `canResume()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`void` `disconnect()`
`<T> T` `getAdapter​(java.lang.Class<T> adapter)`
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`org.eclipse.debug.core.model.IMemoryBlock` `getMemoryBlock​(long startAddress, long length)`
`java.lang.String` `getModelIdentifier()`
`java.lang.String` `getName()`
`org.eclipse.debug.core.model.IProcess` `getProcess()`
`org.eclipse.debug.core.model.IThread[]` `getThreads()`
`boolean` `hasThreads()`
`boolean` `isDisconnected()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`boolean` `supportsBreakpoint​(org.eclipse.debug.core.model.IBreakpoint breakpoint)`
`boolean` `supportsStorageRetrieval()`
`void` `suspend()`
`void` `terminate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlRunTarget

    public AtlRunTarget​(org.eclipse.debug.core.ILaunch launch)

Constructor.

Parameters:
  `launch` - the configuration

### Method Detail

#### getProcess

    public org.eclipse.debug.core.model.IProcess getProcess()

Specified by:
  `getProcess` in interface `org.eclipse.debug.core.model.IDebugTarget`
See Also:
  `IDebugTarget.getProcess()`

#### getThreads

    public org.eclipse.debug.core.model.IThread[] getThreads()
                                                      throws org.eclipse.debug.core.DebugException

Specified by:
  `getThreads` in interface `org.eclipse.debug.core.model.IDebugTarget`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IDebugTarget.getThreads()`

#### hasThreads

    public boolean hasThreads()
                       throws org.eclipse.debug.core.DebugException

Specified by:
  `hasThreads` in interface `org.eclipse.debug.core.model.IDebugTarget`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IDebugTarget.hasThreads()`

#### getName

    public java.lang.String getName()
                             throws org.eclipse.debug.core.DebugException

Specified by:
  `getName` in interface `org.eclipse.debug.core.model.IDebugTarget`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IDebugTarget.getName()`

#### supportsBreakpoint

    public boolean supportsBreakpoint​(org.eclipse.debug.core.model.IBreakpoint breakpoint)

Specified by:
  `supportsBreakpoint` in interface `org.eclipse.debug.core.model.IDebugTarget`
See Also:
  `IDebugTarget.supportsBreakpoint(org.eclipse.debug.core.model.IBreakpoint)`

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getModelIdentifier()`

#### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getDebugTarget()`

#### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
See Also:
  `IDebugElement.getLaunch()`

#### canTerminate

    public boolean canTerminate()

Specified by:
  `canTerminate` in interface `org.eclipse.debug.core.model.ITerminate`
See Also:
  `ITerminate.canTerminate()`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `org.eclipse.debug.core.model.ITerminate`
See Also:
  `ITerminate.isTerminated()`

#### terminate

    public void terminate()
                   throws org.eclipse.debug.core.DebugException

Specified by:
  `terminate` in interface `org.eclipse.debug.core.model.ITerminate`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ITerminate.terminate()`

#### canResume

    public boolean canResume()

Specified by:
  `canResume` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.canResume()`

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.canSuspend()`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `org.eclipse.debug.core.model.ISuspendResume`
See Also:
  `ISuspendResume.isSuspended()`

#### resume

    public void resume()
                throws org.eclipse.debug.core.DebugException

Specified by:
  `resume` in interface `org.eclipse.debug.core.model.ISuspendResume`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ISuspendResume.resume()`

#### suspend

    public void suspend()
                 throws org.eclipse.debug.core.DebugException

Specified by:
  `suspend` in interface `org.eclipse.debug.core.model.ISuspendResume`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `ISuspendResume.suspend()`

#### breakpointAdded

    public void breakpointAdded​(org.eclipse.debug.core.model.IBreakpoint breakpoint)

Specified by:
  `breakpointAdded` in interface `org.eclipse.debug.core.IBreakpointListener`
See Also:
  `IBreakpointListener.breakpointAdded(org.eclipse.debug.core.model.IBreakpoint)`

#### breakpointRemoved

    public void breakpointRemoved​(org.eclipse.debug.core.model.IBreakpoint breakpoint,
                                  org.eclipse.core.resources.IMarkerDelta delta)

Specified by:
  `breakpointRemoved` in interface `org.eclipse.debug.core.IBreakpointListener`
See Also:
  `IBreakpointListener.breakpointRemoved(org.eclipse.debug.core.model.IBreakpoint, org.eclipse.core.resources.IMarkerDelta)`

#### breakpointChanged

    public void breakpointChanged​(org.eclipse.debug.core.model.IBreakpoint breakpoint,
                                  org.eclipse.core.resources.IMarkerDelta delta)

Specified by:
  `breakpointChanged` in interface `org.eclipse.debug.core.IBreakpointListener`
See Also:
  `IBreakpointListener.breakpointChanged(org.eclipse.debug.core.model.IBreakpoint, org.eclipse.core.resources.IMarkerDelta)`

#### canDisconnect

    public boolean canDisconnect()

Specified by:
  `canDisconnect` in interface `org.eclipse.debug.core.model.IDisconnect`
See Also:
  `IDisconnect.canDisconnect()`

#### disconnect

    public void disconnect()
                    throws org.eclipse.debug.core.DebugException

Specified by:
  `disconnect` in interface `org.eclipse.debug.core.model.IDisconnect`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IDisconnect.disconnect()`

#### isDisconnected

    public boolean isDisconnected()

Specified by:
  `isDisconnected` in interface `org.eclipse.debug.core.model.IDisconnect`
See Also:
  `IDisconnect.isDisconnected()`

#### supportsStorageRetrieval

    public boolean supportsStorageRetrieval()

Specified by:
  `supportsStorageRetrieval` in interface `org.eclipse.debug.core.model.IMemoryBlockRetrieval`
See Also:
  `IMemoryBlockRetrieval.supportsStorageRetrieval()`

#### getMemoryBlock

    public org.eclipse.debug.core.model.IMemoryBlock getMemoryBlock​(long startAddress,
                                                                    long length)
                                                             throws org.eclipse.debug.core.DebugException

Specified by:
  `getMemoryBlock` in interface `org.eclipse.debug.core.model.IMemoryBlockRetrieval`
Throws:
  `org.eclipse.debug.core.DebugException`
See Also:
  `IMemoryBlockRetrieval.getMemoryBlock(long, long)`

#### getAdapter

    public <T> T getAdapter​(java.lang.Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
See Also:
  `IAdaptable.getAdapter(java.lang.Class)`